=== debian/changelog ===
fdroidserver (2.3.5-1ubuntu1) plucky; urgency=medium

  * Skip test_get_upstream_main_branch, which is already skipped upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 20:28:10 -0600

fdroidserver (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Jan 2025 16:51:27 +0100
