## fdroidserver 2.4~a2

=== debian/changelog ===
fdroidserver (2.4~a2-2) unstable; urgency=medium

  * temporary patch from upstream to fix autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 21 Mar 2025 23:55:00 +0100

fdroidserver (2.4~a2-1) unstable; urgency=medium

  * add more skips for tests that are flaky in Debian's CI
  * New upstream version 2.4~a2

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 20 Mar 2025 15:21:18 +0100

fdroidserver (2.4~a1-1) unstable; urgency=medium

  * New upstream version 2.4~a1

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 19 Mar 2025 18:00:44 +0100
