## fdroidserver 2.4.0

=== debian/changelog ===
fdroidserver (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Mar 2025 12:19:11 +0100
