=== debian/changelog ===
fdroidserver (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 24 Jun 2025 21:55:16 +0200
