=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fdroidserver
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hans-Christoph Steiner <hans@eds.org>
+Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
