=== debian/tests/control ===
Restrictions: allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @,
         dexdump [amd64 arm64 armhf i386],
         git,
         python3-libcloud,
         python3-setuptools,
Architecture: !s390x

Restrictions: allow-stderr
Tests: locales
