## fdroidserver 2.4.3

=== debian/changelog ===
fdroidserver (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Dec 2025 19:41:39 +0100
